import request from '@/utils/dsRequest'

export function getAllEnabledRooms() {
  return request({
    url: '/Room/GetAllEnabledRooms',
    method: 'get'
  })
}

export function queryRoom(data) {
  return request({
    url: '/Room/QueryRoomPager',
    method: 'post',
    data
  })
}

export function CreateRoom(data) {
  return request({
    url: '/Room/CreateRoom',
    method: 'post',
    data
  })
}
export function GetRoom(data) {
  return request({
    url: '/Room/GetRoom',
    method: 'post',
    data
  })
}

export function UpdateRoom(data) {
  return request({
    url: '/Room/UpdateRoom',
    method: 'post',
    data
  })
}

export function DeleteRoom(data) {
  return request({
    url: '/Room/DeleteRoom',
    method: 'post',
    data
  })
}

export function DisableRoom(data) {
  return request({
    url: '/Room/DisableRoom',
    method: 'post',
    data
  })
}

export function EnableRoom(data) {
  return request({
    url: '/Room/EnableRoom',
    method: 'post',
    data
  })
}
